
# DEEP ANimation
DL for Computer animation (with Unity, optional)



## Instructions for installation

### Python
See pydeepan/README.md


### Clone the git
git clone git+ssh://git@git.renater.fr:2222/deepan.git

For configuring ssh:
scp -r ~/.ssh ameyer@${HOST}:/home/ameyer/SSH
ssh ameyer@${HOST}


#### Install mlagent to the anaconda python env
activate p37
cd ml-agents-envs
pip3 install -e ./
cd ..
cd ml-agents
pip3 install -e ./



#### Update ml-agent

* cd ./ml-agents  ; git pull
Reinstall mlagent (see above) and probably remove mlagent before

* copy the Unity asset in the deepty asset directory
rm -rf ./ml-agents/UnitySDK/Assets/ML-Agents/* 
cp -r ./ml-agents/UnitySDK/Assets/ML-Agents ./deepty/Assets/ML-Agents




### Each directories

* ./pydeepan: Python Code for Deep Animation

* ./deepty
Unity package used to display animations in Deepan

* ./scripts
All IDE projects files like 
- sln for visual project
- batch script to launch conda env
- ...


* ./ml-agents
https://github.com/Unity-Technologies/ml-agents
was add as a git submodule with
git submodule add  git@github.com:Unity-Technologies/ml-agents.git

You also have to add the ~/.ssh/id_rsa.pub on your account of github

* ml-agents page to create new env that communicate between Python and Unity
https://github.com/Unity-Technologies/ml-agents/blob/master/docs/Learning-Environment-Create-New.md
