# pydeepan/__init__.py

#try:
#    PYDEEPAN_DIR # does a exist in the current namespace
#except NameError:

import os
import sys
import socket
from inspect import getsourcefile


dir_pydeepan = os.path.abspath(os.path.dirname(getsourcefile(lambda:0))+"/../")+"/"
dir_pydeepan_dlmodels = dir_pydeepan + "/data/dl_models/"


if socket.gethostname()=="nohu":                # laptop
    #dir_resources = dir_pydeepan+"/data"                   
    dir_resources = "E:/resources"
elif socket.gethostname()=="td8-pc8.univ-lyon1.fr" or socket.gethostname()=="td8-pc8":      # TD8
    dir_resources = "/data/ameyer/resources"
elif socket.gethostname()=="Ciamarella":        # PC bureau
    dir_resources = "/home/alex/resources"
elif socket.gethostname()=="DESKTOP-NGTBQHJ":   # PC Léon
    dir_resources = "/d/Users/leonv/Dev/data"
elif "ccw" in socket.gethostname():             # IN2P3
    dir_resources = os.getenv('HOME')+"/resources"
else:                                                         # defaut in data
    dir_resources = dir_pydeepan+"/data"                      # mettez le chemin absolu???





__all__ = ["log"]

print("pydeepan::__init__.py: dir_pydeepan="+str(dir_pydeepan))
